CVE Vulnerabilities

CVE-2019-18860

Improper Neutralization of Special Elements in Output Used by a Downstream Component ('Injection')

Published: Mar 20, 2020 | Modified: Jan 24, 2023
CVSS 3.x
6.1
MEDIUM
Source:
NVD
CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N
CVSS 2.x
4.3 MEDIUM
AV:N/AC:M/Au:N/C:N/I:P/A:N
RedHat/V2
RedHat/V3
6.1 MODERATE
CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N
Ubuntu
LOW

Squid before 4.9, when certain web browsers are used, mishandles HTML in the host (aka hostname) parameter to cachemgr.cgi.

Weakness

The product constructs all or part of a command, data structure, or record using externally-influenced input from an upstream component, but it does not neutralize or incorrectly neutralizes special elements that could modify how it is parsed or interpreted when it is sent to a downstream component.

Affected Software

Name Vendor Start Version End Version
Squid Squid-cache * 4.9 (excluding)
Red Hat Enterprise Linux 8 RedHat squid:4-8030020200828070549.30b713e6 *
Squid Ubuntu eoan *
Squid Ubuntu trusty *
Squid3 Ubuntu bionic *
Squid3 Ubuntu esm-infra/bionic *
Squid3 Ubuntu esm-infra/xenial *
Squid3 Ubuntu precise/esm *
Squid3 Ubuntu trusty *
Squid3 Ubuntu xenial *

Potential Mitigations

References